Updates the article status list with the specified key

Request Information

URI Parameters :

NameDescriptionTypeAdditional information
id

globally unique identifier

Required

Body Parameters :

article_status_list
NameDescriptionTypeAdditional information
id

Primary Key

globally unique identifier
article_status_id

Foreign key of the article_status

globally unique identifier

Required

article_id

Foreign key of article

globally unique identifier

Optionally required : article_id, article_code or article must be provided

article_code

Embedded entity "article" using ERP PK when adding/updating

string

Optionally required : article_id, article_code or article must be provided

article

Embedded entity "article" when adding/updating

article

Optionally required : article_id, article_code or article must be provided

sales_organization_id

globally unique identifier

Required

modified_dateutc

Readonly system field managed by database, filled with GetUtcDate when adding,updating

date

Request Formats :

application/json, text/json

Sample:
{
  "id": "ae9e7e1d-9961-4fa3-8815-9e7ac266ec48",
  "article_status_id": "1966f9b0-2573-4ec0-964c-c387ee5e17a7",
  "article_id": "197780f4-cb01-4676-892b-b183ba38d782",
  "article_code": "sample string 4",
  "sales_organization_id": "983f1814-dc74-4cdc-9149-e803938e0c8f",
  "modified_dateutc": "2026-10-19T20:23:23.8880581+00:00"
}

Response Information

Resource Description :

IHttpActionResult

None.

Response Formats

application/json, text/json

Sample:

Sample not available.